<div class="container well">
    <form #yeastFilterForm="ngForm" novalidate>
        <table class="table table-striped">
            <tr>
                <td> Filter by temperature  </td>
                <td> <input type="range" min="0"  max="500" [(ngModel)]="tempFilter"
                    name="tempF"  (ngModelChange)="filter()"><b>{{tempFilter+'&deg;C'}}</b>
                </td>
            </tr>
            <tr>
                <td>Filter by Id Specie</td>
                <td>
                    <input type="text" [(ngModel)]="idFilter"
                    name="idFilter"  (ngModelChange)="filter()">
                </td>
            </tr>
            <tr>
                <td>Current page</td>
                <td> {{currentPage}}</td>

            </tr>
            <tr>
                <td>Yeasts per page</td>
                <td> <input type="number" 
                    [(ngModel)]="itemsPerPage"
                    name="itemsPerPage"></td>
            </tr>
            <tr>
                <td>Yeasts found </td>
                <td>{{yeastsFiltered.length}}</td>
            </tr>
        </table>
    </form>
</div>

<div>

</div>

<div class="container well">
    <form #yeastManagementForm="ngForm" action="" novalidate>
        <table class="table table-striped">
             <thead>
                <tr>
                    <th>Id specie </th>
                    <th>Specie Taxonomy</th>
                    <th>Classification date</th>
                    <th>Temperature</th>
                    <th>Eliminate specie</th>
                    <th>Go to</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let rv of
                yeastsFiltered| 
                paginate: {
                    itemsPerPage: itemsPerPage,
                    currentPage: currentPage
                } "
                >
                   <td>{{rv.id}}</td>
                   <td>{{rv.taxonomy.species}}</td>
                   <td>{{rv.classificationDate}}</td><!-- ANGULAR NGMODEL  INPUT TYPE DATE , para  la fecha -->
                   <td>{{rv.temperature+'&deg;C'}}</td>
                   <td>
                       <button class="btn btn-danger" (click)="removeRes(rv)" >X</button>
                   </td>
                   <td>
                       <button class="btn btn-primary"   (click)="goTo(rv)" >
                           Go to
                       </button>
                   </td>
               </tr>

            </tbody>
        </table>
        <pagination-controls (pageChange)="currentPage=$event"
        maxSize="5"
        directionLinks="true"
        autoHide="true">
        </pagination-controls>
    </form>
</div>
<app-yeast *ngIf="yeastSelected"
[objYeast]="yeastSelected">
</app-yeast>

